Subject: Re: [PATCH v2] Git.pm: Use File::Temp->tempfile instead of ->new

From: Marcus Griep <[email-masked]>
Date: Tue, 09 Sep 2008 13:55:18 -0400

Tom G. Christensen wrote:
> The testsuite now passes t9100-git-svn-basic.sh and instead fails at
> t9108-git-svn-glob.sh but this appears to be unrelated to the File::Temp
> issue.
> 
> --- expect.three        2008-09-09 07:34:39.000000000 +0000
> +++ stderr.three        2008-09-09 07:34:42.000000000 +0000
> @@ -1,2 +1,3 @@
> +Parentheses missing around "my" list at
> /home/tgc/projects/git/t/../git-svn line 4429.
>  Only one set of wildcard directories (e.g. '*' or '*/*/*') is
> supported: 'branches/*/t/*'
> 
> * FAIL 3: test disallow multi-globs

It's probably another back-portability issue (It's not failing in my testsuite).
However, I think that I know the offending line.  Can you give me the text of
your line 4429 in git-svn and I'll submit a separate patch to fix that back
portability issue.

-- 
Marcus Griep
GPG Key ID: 0x5E968152
——
http://www.boohaunt.net
את.ψο´